Description:
============

Presentation
------------
Ramses is an open source code to model astrophysical systems, featuring self-gravitating, magnetised, compressible, radiative fluid flows. It is based on the Adaptive Mesh Refinement (AMR) technique on a fully-threaded graded octree. ramses is written in Fortran 90 and is making intensive use of the Message Passing Interface (MPI) library.

Technical information:
----------------------

* website : https://www.ics.uzh.ch/~teyssier/ramses/RAMSES.html
* Scientific domain : Astrophysics
* Language : Fortran 90
* Parallelism : MPI 
* GPU acceleration : No
* Scalability : high -> To verify
* Vectorization: ?


Compilation and simulation:
===========================

Here we describe the different phases from the download to the validation of the simulation.

Download:
---------

The RAMSES code is now on Bitbucket. The simplest way to get a recent copy of the code is to use git using the following command:
```
$ git clone https://bitbucket.org/rteyssie/ramses
```
More informations cab be found directly on https://bitbucket.org/rteyssie/ramses/overview

You can also use this following script to download and checkout a stable version
```
./download.sh
```

Compile:
--------

Information (if needed) about how to compile the application. 

For instance:

Compile the code using:
```
source machines/occigen-bdw/env
./compile.sh
```

`machines/occigen-bdw/env` contains the information for compilation (module load gcc openmpi lapack hdf5 ...)

Run and validate the simulation:
--------------------------------

For each test case, given in a separate folder (e.g. testcase_small), you can find three scripts:

*  prepare.sh: prepare the simulation (move data to the right location, recompile some minor changes, ...)
*  run.sh : run the application and print out the evaluated metric
*  validate.sh: validation of the simulation on a scientific point of view

For running and validating the simulation, one should be able to do:
```
cd testcase_XXX
./prepare.sh
./run.sh
./validate.sh
```
And getting no error code returned.
Those steps can also be used in a batch file for running the simulation using a job scheduler.




